shishi_cfg_clientkdcetype_set(3)

NAME
shishi_cfg_clientkdcetype_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_cfg_clientkdcetype_set(Shishi * handle, char * value);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

char * value
    string with encryption types.

DESCRIPTION
Set the "client-kdc-etypes" configuration option from given string. The string contains encryption types (integer or names) separated by comma or whitespace, e.g. "aes256-cts-hmac-sha1-96 des3-cbc-sha1-kd des-cbc-md5".

RETURN VALUE
Returns SHISHI_OK if successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.